> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nscale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List reservation units

> List reservation units.



## OpenAPI

````yaml /openapi/reservation-openapi.yaml get /api/v2/reservation-units
openapi: 3.0.3
info:
  title: Unikorn Reservation API
  description: |-
    Reservation service provides topology-aware bare metal GPU reservation and
    placement, sitting atop UNI Region service resources.
  version: 0.5.0
servers:
  - url: https://reservation.nks.europe-west4.nscale.com
    description: Production
  - url: https://reservation.nks-stg.europe-west2.nscale.com
    description: Staging
  - url: https://reservation.nks-dev.glo1.nscale.com
    description: Development
security: []
paths:
  /api/v2/reservation-units:
    description: |-
      Lists regional accelerator reservation units and their current aggregate
      capacity. Reservation units are the public capacity shapes that the
      service maps to Region machine flavors and Fleet Manager topology.
    get:
      tags:
        - Reservation Units
      summary: List reservation units
      description: List reservation units.
      operationId: listReservationUnits
      parameters:
        - $ref: '#/components/parameters/regionIDQueryParameter'
        - $ref: '#/components/parameters/acceleratorQueryParameter'
        - $ref: '#/components/parameters/reservationUnitQueryParameter'
      responses:
        '200':
          $ref: '#/components/responses/reservationUnitsV2Response'
        '400':
          $ref: '#/components/responses/badRequestResponse'
        '401':
          $ref: '#/components/responses/unauthorizedResponse'
        '403':
          $ref: '#/components/responses/forbiddenResponse'
        '500':
          $ref: '#/components/responses/internalServerErrorResponse'
      security:
        - oauth2Authentication: []
components:
  parameters:
    regionIDQueryParameter:
      name: regionID
      in: query
      description: Allows resources to be filtered by region.
      schema:
        type: array
        items:
          type: string
    acceleratorQueryParameter:
      name: accelerator
      in: query
      description: Allows reservation units to be filtered by accelerator model or family.
      schema:
        type: array
        items:
          type: string
    reservationUnitQueryParameter:
      name: unit
      in: query
      description: Allows reservation units to be filtered by reservation granularity.
      schema:
        type: array
        items:
          type: string
  responses:
    reservationUnitsV2Response:
      description: A list of reservation units.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/reservationUnitsV2'
          example:
            - regionId: uk-lon-1
              accelerator: GB300
              unit: NVL72
              machineFlavorId: g.72.gb300.pinned
              deviceTypeResourceClass: GB300_HOST
              hostsPerUnit: 18
              cpusPerUnit: 2592
              gpusPerUnit: 72
              gpuMemoryPerUnit: 20736
              memoryPerUnit: 17280
              host:
                cpus: 144
                memory: 960
                disk: 0
                gpu:
                  vendor: NVIDIA
                  model: GB300
                  physicalCount: 4
                  logicalCount: 4
                  memory: 288
              availableUnitCount: 4
              largestContiguousUnitCount: 3
              totalCount: 8
            - regionId: us-chi-1
              accelerator: GB300
              unit: NVL72
              machineFlavorId: gb300-nvl72-metal
              deviceTypeResourceClass: GB300_HOST
              hostsPerUnit: 18
              cpusPerUnit: 2592
              gpusPerUnit: 72
              gpuMemoryPerUnit: 20736
              memoryPerUnit: 17280
              host:
                cpus: 144
                memory: 960
                disk: 0
                gpu:
                  vendor: NVIDIA
                  model: GB300
                  physicalCount: 4
                  logicalCount: 4
                  memory: 288
              availableUnitCount: 2
              largestContiguousUnitCount: 2
              totalCount: 6
    badRequestResponse:
      description: |-
        Request body failed schema validation, or the request does not contain
        all the required fields.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
          example:
            error: invalid_request
            error_description: request body invalid
            trace_id: 57bc14d9bd461f0b5a72db830149b67a
    unauthorizedResponse:
      description: Authentication failed or the access token has expired.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
          example:
            error: access_denied
            error_description: authentication failed
            trace_id: 57bc14d9bd461f0b5a72db830149b67a
    forbiddenResponse:
      description: >-
        Request was denied by authorization, this may be caused by the
        authorization

        token not having the required scope for an API, or the user doesn't have
        the

        necessary privileges on the provider platform.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
          example:
            error: forbidden
            error_description: user credentials do not have the required privileges
            trace_id: 57bc14d9bd461f0b5a72db830149b67a
    internalServerErrorResponse:
      description: >-
        An unexpected or unhandled error occurred. This may be a transient error
        and

        may succeed on a retry.  If this isn't the case, please report it as an
        issue.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
          example:
            error: server_error
            error_description: failed to token claim
            trace_id: 57bc14d9bd461f0b5a72db830149b67a
  schemas:
    reservationUnitsV2:
      description: A list of regional accelerator reservation unit offerings.
      type: array
      items:
        $ref: '#/components/schemas/reservationUnitV2'
    error:
      description: Generic error message, compatible with oauth2.
      type: object
      required:
        - error
        - error_description
      properties:
        error:
          description: >-
            A terse error string expanding on the HTTP error code. Errors are
            based on the OAuth 2.02 specification, but are expanded with
            proprietary status codes for APIs other than those specified by
            OAuth 2.02.
          type: string
          enum:
            - invalid_request
            - server_error
            - access_denied
            - not_found
            - conflict
            - method_not_allowed
            - unsupported_media_type
            - request_entity_too_large
            - unprocessable_content
            - forbidden
        error_description:
          description: Verbose message describing the error.
          type: string
        trace_id:
          description: Unique trace identifier for the request.
          type: string
    reservationUnitV2:
      description: A regional accelerator reservation unit offering.
      type: object
      required:
        - regionId
        - accelerator
        - unit
        - machineFlavorId
        - deviceTypeResourceClass
        - hostsPerUnit
        - cpusPerUnit
        - gpusPerUnit
        - gpuMemoryPerUnit
        - memoryPerUnit
        - host
        - availableUnitCount
        - largestContiguousUnitCount
        - totalCount
      properties:
        regionId:
          description: The region where this reservation unit is offered.
          type: string
        accelerator:
          description: Public accelerator model or family, for example GB300.
          type: string
        unit:
          description: Public reservation granularity, for example NVL72.
          type: string
        machineFlavorId:
          description: Region machine flavor resolved for this reservation unit.
          type: string
        deviceTypeResourceClass:
          description: >-
            Expected Fleet Manager device type resource class for selected
            hosts.
          type: string
        hostsPerUnit:
          description: Number of hosts claimed by one reservation unit.
          type: integer
          minimum: 1
        cpusPerUnit:
          description: Total CPUs claimed by one reservation unit.
          type: integer
          minimum: 0
        gpusPerUnit:
          description: Total GPUs claimed by one reservation unit.
          type: integer
          minimum: 0
        gpuMemoryPerUnit:
          description: Total GPU memory in GiB claimed by one reservation unit.
          type: integer
          minimum: 0
        memoryPerUnit:
          description: Total memory in GiB claimed by one reservation unit.
          type: integer
          minimum: 0
        host:
          $ref: '#/components/schemas/reservationUnitHostV2'
        availableUnitCount:
          description: Number of complete, currently unclaimed reservation units.
          type: integer
          minimum: 0
        largestContiguousUnitCount:
          description: Largest contiguous reservation-unit count currently satisfiable.
          type: integer
          minimum: 0
        totalCount:
          description: Number of complete reservation units in the regional offering.
          type: integer
          minimum: 0
    reservationUnitHostV2:
      description: Region flavor capacity for one host in a reservation unit.
      type: object
      required:
        - cpus
        - memory
        - disk
        - gpu
      properties:
        cpus:
          description: The number of CPUs on one host.
          type: integer
          minimum: 0
        memory:
          description: The amount of memory in GiB on one host.
          type: integer
          minimum: 0
        disk:
          description: The amount of ephemeral disk in GB on one host.
          type: integer
          minimum: 0
        gpu:
          $ref: '#/components/schemas/reservationUnitGpuV2'
    reservationUnitGpuV2:
      description: GPU specification for one host in a reservation unit.
      type: object
      required:
        - vendor
        - model
        - physicalCount
        - logicalCount
        - memory
      properties:
        vendor:
          $ref: '#/components/schemas/gpuVendorV2'
        model:
          description: A GPU model.
          type: string
        physicalCount:
          description: The physical number of GPUs available on one host.
          type: integer
          minimum: 0
        logicalCount:
          description: The logical number of GPUs available on one host.
          type: integer
          minimum: 0
        memory:
          description: GPU memory in GiB for one GPU.
          type: integer
          minimum: 0
    gpuVendorV2:
      description: The GPU vendor.
      type: string
      enum:
        - UNKNOWN
        - NVIDIA
        - AMD
  securitySchemes:
    oauth2Authentication:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: /oauth2/v2/authorization
          tokenUrl: /oauth2/v2/token
          scopes: {}

````